org.mariadb.jdbc.internal.com.send.authentication

## Class OldPasswordPlugin

- java.lang.Object
- - org.mariadb.jdbc.internal.com.send.authentication.OldPasswordPlugin

All Implemented Interfaces:
  AuthenticationPlugin

    public class OldPasswordPlugin
    extends Object
    implements AuthenticationPlugin

### Constructor Summary

Constructors
Constructor and Description
`OldPasswordPlugin(String password, byte[] authData)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Buffer` `process(PacketOutputStream out, PacketInputStream in, AtomicInteger sequence)` Process old password plugin authentication.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OldPasswordPlugin

    public OldPasswordPlugin(String password,
                             byte[] authData)

### Method Detail

#### process

    public Buffer process(PacketOutputStream out,
                          PacketInputStream in,
                          AtomicInteger sequence)
                   throws IOException

Process old password plugin authentication. see https://mariadb.com/kb/en/library/authentication-plugin-mysql_old_password/

Specified by:
  `process` in interface `AuthenticationPlugin`
Parameters:
  `out` - out stream
  `in` - in stream
  `sequence` - packet sequence
Returns:
  response packet
Throws:
  `IOException` - if socket error